/******************************************************************************
 *
 * Copyright (c) 1999-2011 Cryptzone Group AB. All Rights Reserved.
 * 
 * This file contains Original Code and/or Modifications of Original Code as
 * defined in and that are subject to the MindTerm Public Source License,
 * Version 2.0, (the 'License'). You may not use this file except in compliance
 * with the License.
 * 
 * You should have received a copy of the MindTerm Public Source License
 * along with this software; see the file LICENSE.  If not, write to
 * Cryptzone Group AB, Drakegatan 7, SE-41250 Goteborg, SWEDEN
 *
 *****************************************************************************/

package com.mindbright.jce.crypto.spec;

import java.math.BigInteger;

import com.mindbright.jca.security.spec.AlgorithmParameterSpec;

public class DHParameterSpec extends DHParamsImpl
    implements AlgorithmParameterSpec {
    protected int l;

    public DHParameterSpec(BigInteger p, BigInteger g) {
        this(p, g, 0);
    }

    public DHParameterSpec(BigInteger p, BigInteger g, int l) {
        super(p, g);
        this.l = l;
    }

    public int getL() {
        return l;
    }

    public String toString() {
        return "DHParameterSpec[p=" + p + ",g=" + g + ",l=" + l + "]";
    }
}
